aboutsummaryrefslogtreecommitdiffstats
path: root/security/drweb/pkg-install
diff options
context:
space:
mode:
authorsem <sem@FreeBSD.org>2004-11-25 02:14:11 +0800
committersem <sem@FreeBSD.org>2004-11-25 02:14:11 +0800
commit1cc884bfe285b2a42a9a4fbfbf2f57d94bae4392 (patch)
treedf2549cf45d676e515827fbf2f0843bfb918111f /security/drweb/pkg-install
parent8405963d082abd59ad0a0a1307d27da4666f20ea (diff)
downloadfreebsd-ports-gnome-1cc884bfe285b2a42a9a4fbfbf2f57d94bae4392.tar.gz
freebsd-ports-gnome-1cc884bfe285b2a42a9a4fbfbf2f57d94bae4392.tar.zst
freebsd-ports-gnome-1cc884bfe285b2a42a9a4fbfbf2f57d94bae4392.zip
- Update to 4.32.2
- Pass maintainer to submitter PR: ports/72510 Submitted by: maintainer
Diffstat (limited to 'security/drweb/pkg-install')
-rw-r--r--security/drweb/pkg-install27
1 files changed, 14 insertions, 13 deletions
diff --git a/security/drweb/pkg-install b/security/drweb/pkg-install
index 01b5035cd3f6..47960241a687 100644
--- a/security/drweb/pkg-install
+++ b/security/drweb/pkg-install
@@ -16,8 +16,10 @@ ex=0
if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${GROUP} -g ${GID}; then
+ echo ""
echo "Added group \"${GROUP}\"."
else
+ echo ""
echo "Adding group \"${GROUP}\" failed..."
ex=1
fi
@@ -27,26 +29,25 @@ if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" -c "Dr. Web Scanner"
then
+ echo ""
echo "Added user \"${USER}\"."
else
+ echo ""
echo "Adding user \"${USER}\" failed..."
ex=1
fi
fi
-if ! grep -q "^!${USER}" /etc/syslog.conf; then
- echo "You may also add this lines to your /etc/syslog.conf:"
- echo "!drwebd"
- echo "*.* /var/log/drwebd.log"
- echo ""
-fi
-if ! grep -q ${USER} /etc/crontab; then
- if ! crontab -l -u ${BINOWN} | grep -q ${USER}; then
- echo "You may also add this crontab entry to /etc/crontab"
- echo "0 12 * * * ${BINOWN} ${PKG_PREFIX}/drweb/update/update.pl"
- echo ""
- fi
-fi
+echo ""
+echo "You may also add this lines to your /etc/syslog.conf:"
+echo "!drwebd"
+echo "*.* /var/log/drwebd.log"
+
+echo ""
+echo "You may also add this crontab entry to /etc/crontab"
+echo "0 12 * * * ${BINOWN} ${PKG_PREFIX}/drweb/update/update.pl"
+echo ""
+
[ "$ex" = "1" ] && exit 1
install -dv -m 0755 -o ${USER} -g ${BINGRP} ${PKG_PREFIX}/drweb/run
install -dv -m 0700 -o ${USER} -g ${BINGRP} ${PKG_PREFIX}/drweb/infected